main .block.video-autoplay .wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: var(--page-width-lg);
}

main .block.video-autoplay .video-container {
    position: relative;
    width: 100%;
    border-radius: 24px;
    overflow: hidden;
    background: none !important;
}

main .block.video-autoplay video {
    width: 100%;
    height: auto;
    display: block;
    pointer-events: none;
}

main .block.video-autoplay .video-controls {
    position: absolute;
    bottom: 24px;
    right: 32px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 7px;
    z-index: 1;
}

main .block.video-autoplay .pause-btn {
    min-height: 32px;
    min-height: 32px;
    min-width: 90px;
    max-width: 90px;
    width: auto;
    padding-left: 0;
    padding-right: 0;
    text-transform: none;
}

main .block.video-autoplay .video-btn > span {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

main .block.video-autoplay .mute-btn {
    background: var(--btn-on-dark-accent-bg);
    border: none;
    border-radius: 100px;
    transition: background 0.3s ease, color 0.3s ease;
    cursor: pointer;
    color: var(--btn-on-dark-accent-text);
    padding: 0;
    min-height: 32px;
    min-width: 32px;
    max-height: 32px;
    max-width: 32px;
}

main .block.video-autoplay .mute-btn svg {
    max-height: 13px;
}

main .block.video-autoplay .mute-btn:hover {
    background: var(--btn-on-dark-accent-bg-hover);
    color: var(--btn-on-dark-accent-text-hover);
}

main .block.video-autoplay .mute-btn:focus-visible,
main .block.video-autoplay .mute-btn:active {
    background: var(--btn-on-dark-accent-bg-focus);
    color: var(--btn-on-dark-accent-text);
    outline: none;
}

main .block.video-autoplay .mute-btn .mute-icon svg {
    transform: translateX(-3px);
}

main .block.video-autoplay .pause-btn .play-icon,
main .block.video-autoplay .mute-btn .mute-icon,
main .block.video-autoplay .pause-btn.is-paused .pause-icon,
main .block.video-autoplay .mute-btn.is-unmuted .unmute-icon {
    display: none;
}

main .block.video-autoplay .pause-btn.is-paused .play-icon,
main .block.video-autoplay .mute-btn.is-unmuted .mute-icon {
    display: flex;
}

main .block.video-autoplay button {
    max-height: 23px;
}

@media (max-width: 768px) {
    main .block.video-autoplay .mute-btn {
        min-height: 23px;
        min-width: 23px;
        max-height: 23px;
        max-width: 23px;
    }

    main .block.video-autoplay .pause-btn {
        padding: 3px 12px;
        min-height: 23px;
        min-height: 23px;
        min-width: 64px;
        max-width: 64px;
    }

    main .block.video-autoplay .mute-btn svg {
        height: 100%;
        width: auto;
        max-height: 10px;
    }

    main .block.video-autoplay .video-controls {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        bottom: 16px;
        right: 16px;
    }

    main .block.video-autoplay .video-controls {
        gap: 4px;
    }

    main .block.video-autoplay .mute-btn .mute-icon svg {
        transform: translateX(-2px);
    }
}

@media (max-width: 600px) {
    main .block.video-autoplay .video-container {
        border-radius: 10px;
    }

    main .block.video-autoplay {
        padding-top: 40px;
        padding-bottom: 40px;
    }
}